Name:           rootfiles
# define Version 23 for Anolis OS 23
Version:        23
Release:        1%{?dist}
Summary:        The basic required files for the root user's directory 

License:        Public Domain
URL:            https://src.fedoraproject.org/rpms/rootfiles/tree/master
Source0:        dot-bashrc
Source1:        dot-bash_profile
Source2:        dot-bash_logout
Source3:        dot-tcshrc
Source4:        dot-cshrc

BuildRequires:  coreutils util-linux 
BuildArch:      noarch

%description
The rootfiles package contains basic required files that are placed
in the root user's account.  These files are basically the same
as those in /etc/skel, which are placed in regular
users' home directories.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/root

install -p -m644 %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} $RPM_BUILD_ROOT/root/
rename dot- . $RPM_BUILD_ROOT/root/dot-*

%posttrans
if [ $1 -eq 0 ] ; then
  cp -ndr --preserve=ownership,timestamps /etc/skel/. /root/ || :
fi

%files
%config(noreplace) /root/.[A-Za-z]*

%changelog
* Wed Mar  2 2022 forrest_ly <flin@linux.alibaba.com> - 23-1
- Init for Anolis OS 23 
